org.keycloak.connections.jpa.updater

## Enum JpaUpdaterProvider.Status

- java.lang.Object
- - java.lang.Enum<JpaUpdaterProvider.Status>
  - - org.keycloak.connections.jpa.updater.JpaUpdaterProvider.Status

- All Implemented Interfaces:
    Serializable, Comparable<JpaUpdaterProvider.Status>
  Enclosing interface:
    JpaUpdaterProvider

      public static enum JpaUpdaterProvider.Status
      extends Enum<JpaUpdaterProvider.Status>

  Status of database up-to-dateness

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY` No database exists.
    `OUTDATED` Database needs to be updated
    `VALID` Database is valid and up to date

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaUpdaterProvider.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JpaUpdaterProvider.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALID

          public static final JpaUpdaterProvider.Status VALID

      Database is valid and up to date

    - #### EMPTY

          public static final JpaUpdaterProvider.Status EMPTY

      No database exists.

    - #### OUTDATED

          public static final JpaUpdaterProvider.Status OUTDATED

      Database needs to be updated

  - ### Method Detail

    - #### values

          public static JpaUpdaterProvider.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JpaUpdaterProvider.Status c : JpaUpdaterProvider.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JpaUpdaterProvider.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.